Package com.plannaplan.controllers

# Class StatisticsController

java.lang.Object
com.plannaplan.controllers.StatisticsController

    @RestController
    @CrossOrigin
    @RequestMapping("/api/v1/statistics")
    public class StatisticsController
    extends java.lang.Object

Rest controller to enpoint that help deveopler test the app

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StatisticsController()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getAcceptedAmmounts()` |
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getAcceptedPartlyAmmounts()` |
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getCommisionsAmmounts()` |
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getGroupsAmmounts()` |
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getGroupsFullAmmounts()` |
`org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse>` | `getNonCommisionsAmmounts()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatisticsController

public StatisticsController()

## Method Details

### getGroupsAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/groups/created") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getGroupsAmmounts()

Returns:
  if tour was set

### getGroupsFullAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/groups/full") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getGroupsFullAmmounts()

Returns:
  if tour was set

### getCommisionsAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/users/registered") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getCommisionsAmmounts()

Returns:
  amount of registered to some groups

### getNonCommisionsAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/users/noregistered") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getNonCommisionsAmmounts()

Returns:
  amount of students not registered to any groups

### getAcceptedAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/users/accepted") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getAcceptedAmmounts()

Returns:
  amount of students that have fully accepted schedules

### getAcceptedPartlyAmmounts

@PreAuthorize("hasRole(\'ROLE_DEANERY\')") @GetMapping(path="/users/accepted/partly") public org.springframework.http.ResponseEntity<StatisticSimpleNumberResponse> getAcceptedPartlyAmmounts()

Returns:
  amount of students that have purtly accepted schedules